/*
**	StcError.h
**	version 1.10.1
*/
/*
Copyright(c)2024 ЃgXgE\tgEFAEVXe, All Rights Reserved.
*/

#ifndef	STC_ERROR_H
#define	STC_ERROR_H

#define	STC_NO_ERROR				0x00000000
#define	STC_ALREADY_INITIALIZED		0x80000001	/*ɏĂ܂*/
#define	STC_NOT_INITIALIZED			0xFFFFFFFE	/*ł܂łB܂́AĂ܂*/
#define	STC_INIT_FILE_OPEN_ERROR	0x80000003	/*t@Cǂ߂܂*/
#define	STC_INIT_DATA_LOAD_ERROR	0x80000003	/*[fBOł܂*/
#define	STC_LICENSE_ERROR			0xFFFFFFFC	/*sȃCZXł*/
#define	STC_ALREADY_OPENED			0x80000005	/*ɃI[vĂ܂*/
#define	STC_FILE_OPEN_ERROR			0x80000006	/*I[vł܂*/
#define	STC_FILE_IS_NOT_PDF			0x80000007	/*PDFł͂Ȃ悤ł*/
#define	STC_UNRECOGNIZED_FILE		0x80000007	/*FłȂt@C*/
#define	STC_FILE_NOT_DECRYPTED		0x80000008	/*ł܂*/
#define	STC_FILE_NOT_OPENED			0x80000009	/*I[vĂ܂*/
#define	STC_OPEN_ERROR				0x8000000A	/*I[vŃG[*/
#define	STC_FILE_COULDNT_CREATE		0x8000000A	/*t@C쐬ł܂*/
#define	STC_PDF_PARSE_ERROR			0x8000000B	/*PDF̉̓G[*/
#define	STC_PDF_HAS_NOT_PAGE		0x8000000C	/*PDF(w)y[W܂*/
#define	STC_INVALID_PAGE_NUMBER		0x8000000D	/*ȃy[Wԍ ܂́Aȃy[Ww*/
#define	STC_INVALID_RESOLUTION		0x8000000E	/*ȉ𑜓x*/
#define	STC_INVALID_QUALITY			0x8000000F	/*JPEGi*/
#define	STC_NO_OUTPUT_FILE			0x80000010	/*o̓t@C܂*/
#define	STC_TOO_LARGE_PIXEL			0x80000011	/*sNZ }bv傫܂*/
#define	STC_DRAW_ERROR				0x80000012	/*`̈mۂɎsB܂́A摜̏oɎs܂*/
#define	STC_MEMORY_ERROR			0x80000014	/*[̈mۂł܂*/
#define	STC_INVALID_ARG_VALUE		0x80000016	/*Ȉ̒l*/
#define	STC_INVALID_PICT_TYPE		0x80000017	/*ȉ摜`*/
#define	STC_INVALID_CMD				0x80000018	/*ȃR}h*/
#define	STC_NO_DATA					0x80000019	/*Lȃf[^܂Ay[Wɑ傫܂*/
#define	STC_FAIL_TO_GET_PAGE		0x8000001B	/*y[W̎擾Ɏs܂*/
#define	STC_INVALID_DATA			0x8000001E	/*ȃf[^*/
#define	STC_NO_LICENSE_KEY			0x8000001F	/*CZXL[w肳Ă܂*/
#define	STC_UNUSABLE_LICENSE		0x80000020	/*̃o[Wł͎gȂCZX*/
#define	STC_EXPIRED_LICENSE			0x80000021	/*CZX*/
#define	STC_ILLEGAL_OS_LICENSE		0x80000022	/*OSł͎gȂCZX*/
#define	STC_OUT_OF_BOUND			0x80000023	/*l͈͊Oł*/
#define	STC_COLOR_PROFILE_NOT_FOUND	0x80000024	/*J[vt@Cǂݍ߂܂*/
#define	STC_COLOR_PROFILE_LOAD_ERROR 0x80000024	/*J[vt@C[hł܂*/
#define	STC_INVALID_VER_COLOR_PROFILE 0x80000025/*ver.2ł͂ȂJ[vt@C*/
#define	STC_INVALID_COLOR_PROFILE	0x80000026	/*sȃJ[vt@C*/
#define	STC_FAIL_TO_COUNT_PAGES		0x80000027	/*y[W̎擾Ɏs܂*/
#define	STC_INVALID_PDF_VERSION		0x80000028	/*sPDFo[W*/
#define	STC_FONT_NOT_FOUND			0x80000029	/*tHg܂*/
#define	STC_ALT_FONT_NOT_FOUND		0x8000002A	/*փtHg܂*/
#define	STC_FONT_FILE_NOT_OPENED	0x8000002B	/*tHgt@CJ܂*/
#define	STC_FONT_NOT_LOADED			0x8000002C	/*tHg[hł܂*/
#define	STC_GLYPH_NOT_FOUND			0x80000033	/*Otł܂*/
#define	STC_UNAVAILABLE_CMD			0x8000003D	/*ps\ȃR}h*/
#define	STC_CMS_CANT_BE_UNUSED		0x8000003E	/*CMS͗ps*/
#define	STC_FILE_NOT_EXISTS			0x8000003F	/*t@C݂܂*/
#define	STC_EXN_IS_RUNNING			0x80000040	/*Extractor@\Ă܂*/
#define	STC_FAIL_TO_CREATE_PICT		0x80000041	/*摜(t@C)̍쐬Ɏs܂*/
#define	STC_HAS_NOT_ENOUGH_MEMORY	0x80000042	/*̃TCY܂*/
#define	STC_OTHER_IFS_ARE_RUNNING	0x80000043	/*̃C^[tF[X@\Ă܂*/
#define	STC_FILE_ALREADY_EXISTS		0x80000044	/*t@C͊ɑ݂܂*/
#define	STC_DLL_NOT_FOUND			0x800001F5	/*lCeBuDLL܂*/

/*XMP*/
#define	STC_XMP_INVALID_NS_URI		0x8000004B	/*sȖOURI*/
#define	STC_XMP_PROPERTY_NOT_EXIST	0x8000004C	/*̃vpeB͂܂*/
#define	STC_XMP_NOT_SIMPLE_PROPERTY	0x80000051	/*vpeBSimplevpeBł͂܂*/
#define	STC_XMP_NOT_ARRAY_PROPERTY	0x80000052	/*vpeBArrayvpeBł͂܂*/
#define	STC_XMP_ARRAY_HAS_NO_ITEMS	0x80000053	/*vpeBArrayvpeBłAACe܂*/
#define	STC_XMP_TOO_BIG_ARRAY_INDEX	0x80000054	/*vpeBArrayvpeBłAACeԍ傫܂*/
#define	STC_XMP_INVALID_ARRAY_INDEX	0x80000055	/*ACeԍs*/
#define	STC_XMP_NOT_STRUCT_PROPERTY	0x80000056	/*vpeBStructvpeBł͂܂*/
#define	STC_XMP_FEILD_NOT_EXITS		0x80000057	/*vpeBStructvpeBłÃtB[h͂܂*/
#define	STC_XMP_ERROR				0x8000005B	/*XMPG[*/

/*Svg*/
/*Exn*/
#define	EXN_INVALID_CMD				0x80000018	/*ȃR}h*/
#define	EXN_UNAVAILABLE_CMD			0x8000003D	/*ps\ȃR}h*/
#define	EXN_IS_RUNNING				0x80000040	/*Extractor@\Ă܂*/
#define	EXN_NOT_INITIALIZED			0x800007D2	/*ExtractorĂ܂*/
#define	EXN_ALREADY_INITIALIZED		0x800007D3	/*Extractor͏Ă܂*/
#define	EXN_HAS_BEEN_STARTED		0x800007D4	/*ExtractorJnĂ܂*/
#define	EXN_PAGE_NOT_OPENED			0x800007D5	/*y[Ww肳Ă܂*/
#define	EXN_COULDNOT_EXTRACT		0x800007D6	/*IuWFNg𒊏oł܂*/

/*Stm*/
#define	STM_INVALID_CMD				0x80000018	/*ȃR}h*/
#define	STM_IS_NOT_BEGIN			0x80000BA0	/*StampJnĂȂ*/
#define	STM_IS_NOT_END				0x80000BA1	/*StampIĂȂ*/
#define	STM_NO_STAMP_INFO			0x80000BBC	/*X^vXgɓe(ݒ)Ȃ*/
#define	STM_NO_STAMP_NAME			0x80000BBD	/*X^ṽXgɎw̖OȂ*/
#define	STM_FONT_NOT_FOUND			0x80000B81	/*w肳ꂽt@CłȂ*/

/*Save*/
#define	MLP_CANNOT_SAVE				0x80000BBF	/*͕̕ۑł܂*/
#define	STC_CANNOT_SAVE				0x80000BBF	/*͕̕ۑł܂*/

/*Secure*/
#define	SIG_DOCUMENT_HAS_NO_PAGE			0x8000000C	/*Ƀy[WȂ STC_PDF_HAS_NOT_PAGEƓ*/
#define	SIG_INVALID_ARG_VALUE				0x80000016	/*Ȉ̒l*/
#define	SIG_INVALID_CMD						0x80000018	/*ȃR}h*/
#define	SIG_FILE_IS_NEWLY_CREATED			0xA0000021	/*VKɍ쐬ꂽt@C*/
#define	SIG_DOCUMENT_ALREADY_MODIFIED		0xA0000022	/*ΏۂDoc͊ɍXVĂ*/
#define	SIG_INVALID_SIGN_OBJECT				0xA0000023	/*IuWFNgs*/
#define	SIG_INVALID_SIGNATURE				0xA0000024	/*f[^s*/
#define	SIG_INVALID_CERTIFICATE				0xA0000025	/*ؖs*/
#define	SIG_COULDNT_SIGN					0xA0000026	/*ŝ߁AdqłȂ*/
#define	SIG_ENCRYPTED_DOCUMENT				0xA0000031	/*͈ÍĂ*/
#define	SIG_SECURE_ERROR					0xA0001000	/*SecurityʓIȃG[*/
#define	SIG_SECURE_COULDNT_OPEN				0xA0001001	/*SecureI[vs*/
#define	SIG_SECURE_NOT_BEGIN				0xA0001003	/*SecureJnĂȂ*/
#define	SIG_SECURE_NOT_SIGNED				0xA0001004	/*InSecureŖ*/
#define	SIG_SECURE_NOT_SAVED				0xA0001005	/*InSecureŕۑĂȂ*/
#define	SIG_SECURE_ALREADY_OPENED			0xA0001010	/*Secure𕡐I[vł܂*/
#define	SIG_SECURE_ALREADY_SAVED			0xA0001011	/*ꂽ͊ɕۑĂ܂*/
#define	SIG_SECURE_ALREADY_SIGNED			0xA0001012	/*͊ɏĂ܂*/
#define	SIG_SECURE_VERSION_IS_CURRENT		0xA0001021	/*w̃o[W͌s(I[v)*/
#define	SIG_SECURE_VERSION_IS_SIGNING		0xA0001022	/*w̃o[W͏Ă镶*/
#define	SIG_CERT_ERROR						0xA0002000	/*dqؖ̃G[*/
#define	SIG_CERT_NOT_SPECIFIED				0xA0002001	/*dqؖw肳ĂȂ*/
#define	SIG_CERT_STORE_COULDNT_OPEN			0xA0002002	/*ؖXgAI[vłȂ*/
#define	SIG_CERT_NOT_FOUND					0xA0002003	/*dqؖȂ*/
#define	SIG_CERT_INVALID_NAME				0xA0002004	/*dq̖ؖOs*/
#define	SIG_CERT_INVALID_TIME				0xA0002006	/*dqؖݗLłȂ*/
#define	SIG_CERT_IS_REVOKED					0xA0002007	/*dqؖĂ*/
#define	SIG_CERT_INVALID_USAGE				0xA0002008	/*dqؖ̎gp@Ⴄ*/
#define	SIG_CERT_INVALID_SIGNATURE			0xA0002009	/*dqؖ̏s*/
#define	SIG_CERT_ROOT_IS_NOT_TRUSTED		0xA000200A	/*[g(܂͒)ؖMłȂ*/
#define	SIG_CERT_UNKNOWN_REVOCATION_STATUS	0xA000200B	/*dqؖ̎󋵂s*/
#define	SIG_CERT_TRUST_CHAIN_IS_CYCLIC		0xA000200C	/*dqؖM`F[JԂĂ*/
#define	SIG_CERT_INVALID_EXTENSION			0xA000200D	/*dqؖ̊g񂪕s*/
#define	SIG_CERT_IS_NOT_TRUSTED				0xA000200E	/*MłȂdqؖ*/
#define	SIG_CERT_IS_EXPIRED					0xA000200F	/*ؖ͊؂*/
#define	SIG_CERT_INCOMPRETE_CHAIN			0xA0002010	/*sSȏؖ`F[*/
#define	SIG_SECT_NO_SIGNATURE_OBJECT		0xA0003005	/*fBNVi*/
#define	SIG_SECT_INVALID_BYTE_RANGE			0xA0003006	/*ByteRanges*/
#define	SIG_SECT_INVALID_START_RANGE		0xA0003007	/*ByteRange̊Jnʒus*/
#define	SIG_SECT_NOT_ENOUGH_SIGNED_RANGE	0xA0003008	/*ByteRanget@CTCY菬*/
#define	SIG_SECT_COULDNT_CALCULATE_HASH		0xA0003032	/*nbVlvZłȂ*/
#define	SIG_SECT_INVALID_HASH_LENGTH		0xA0003034	/*nbVl̃TCYs*/
#define	SIG_SECT_INVALID_SIGN_HASH_VALUE	0xA0003036	/*dq̃nbVls*/
#define	SIG_SECT_INVALID_TS_HASH_VALUE		0xA0003037	/*^CX^ṽnbVls*/
#define	SIG_SECT_MESSAGE_ERROR				0xA0003040	/*dq̃bZ[W͂łȂBbZ[Ws*/
#define	SIG_SECT_COULDNT_GET_CERTIFICATE	0xA0003042	/*ؖ擾łȂ*/
#define	SIG_SECT_MSG_IS_NOT_SIGNED_DATA		0xA0003043	/*bZ[WSignedDatałȂ*/
#define	SIG_SECT_INVALID_SIGN_SIGNATURE		0xA0003044	/*dqbZ[W̌؃G[*/
#define	SIG_SECT_INVALID_TS_SIGNATURE		0xA0003045	/*^CX^vbZ[W̌؃G[*/
#define	SIG_SECT_NO_REVOCATION_INFORMATION	0xA0003061	/*ؖ̎PDFɊ܂܂ĂȂ*/

#define	SIG_CERT_TRUST_IS_NOT_TIME_VALID			0xA0000221	/*ؖ̎LłȂ*/
#define	SIG_CERT_TRUST_IS_REVOKED					0xA0000222	/*ؖĂ*/
#define	SIG_CERT_TRUST_IS_NOT_SIGNATURE_VALID		0xA0000223	/*ؖ̏s*/
#define	SIG_CERT_TRUST_IS_NOT_VALID_FOR_USAGE		0xA0000224	/*̗ؖpړIs*/
#define	SIG_CERT_TRUST_IS_UNTRUSTED_ROOT			0xA0000225	/*ؖRootMĂȂ*/
#define	SIG_CERT_TRUST_REVOCATION_STATUS_UNKNOWN	0xA0000226	/*ؖ̎󋵂s*/
#define	SIG_CERT_TRUST_IS_CYCLIC					0xA0000227	/*ؖ̐M`F[񂵂Ă*/
#define	SIG_CERT_TRUST_IS_PARTIAL_CHAIN				0xA0000228	/*ؖ`F[*/
#define	SIG_CERT_TRUST_CTL_IS_NOT_TIME_VALID		0xA0000229	/*ؖMXg̎LłȂ*/
#define	SIG_CERT_TRUST_CTL_IS_NOT_SIGNATURE_VALID	0xA000022A	/*ؖMXg̏s*/
#define SIG_CERT_TRUST_CTL_IS_NOT_VALID_FOR_USAGE	0xA000022B	/*ؖMXg̗pړIs*/
#define	SIG_CERT_TRUST_IS_OFFLINE_REVOCATION		0xA000022C	/*OFFLINE*/
//܂
#define	SIG_CERT_STORE_ERROR				0xA0000281	/*ؖXgAł̃G[*/
#define	SIG_SIGNATURE_ERROR					0xA0000300	/*dqŃG[*/
#define	SIG_SIGNATURE_NOT_SPECIFIED			0xA0000302	/*(ʒuX^vȂ)w*/
#define	SIG_TIMESTAMP_ERROR					0xA0000400	/*^CX^vŃG[*/
#define	SIG_TIMESTAMP_NOT_ATHENTICATED		0xA0000401	/*^CX^v̔F؃G[*/
#define	SIG_TIMESTAMP_COLDNT_GET			0xA0000402	/*^CX^v擾łȂ*/
#define	SIG_TIMESTAMP_TOO_LERGE				0xA0000403	/*^CX^ṽTCY\zȏ*/
#define	SIG_TIMESTAMP_NOT_FOUND				0xA0000404	/*^CX^vURLs*/
#define	SIG_TIMESTAMP_ACCESS_ERROR			0xA0000480	/*^CX^ṽANZXG[*/
#define	SIG_TIMESTAMP_STATUS_ERROR			0xA0000481	/*^CX^ṽXe[^XG[*/
#define	SIG_INVALID_TIMESTAMP				0xA00004A0	/*sȃ^CX^v*/
#define	SIG_TIMESTAMP_ALGORITHM_ERROR		0xA00004A1	/*s(Ή)ASY*/
#define	SIG_TIMESTAMP_HASH_ERROR			0xA00004A2	/*^CX^ṽnbVlsv*/
#define	SIG_VERIFY_ERROR					0xA0000600	/*؂ŃG[*/
#define	SIG_VERIFY_NOT_DONE					0xA0000601	/*؂s*/
#define	SIG_VERIFY_NOT_SIGNED				0xA0000602	/*؂ŏtB[hȂ*/
#define	SIG_VERIFY_NO_CERTIFICATE			0xA0000603	/*؂ŏؖȂ*/

/*Imager-LP݊*/
#ifndef	MLP_ERROR_H
#include "MlpError.h"
#endif

#endif	/*STC_ERROR_H*/
